<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:10 CET 2009 -->
<TITLE>
DefaultBigIntegerVector
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.smx.impl.DefaultBigIntegerVector class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="DefaultBigIntegerVector";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultBigIntegerVector.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html" title="class in ch.javasoft.smx.impl"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleMatrix.html" title="class in ch.javasoft.smx.impl"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/smx/impl/DefaultBigIntegerVector.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultBigIntegerVector.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.smx.impl</FONT>
<BR>
Class DefaultBigIntegerVector</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html" title="class in ch.javasoft.smx.impl">ch.javasoft.smx.impl.DefaultBigIntegerRationalMatrix</A>
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.smx.impl.DefaultBigIntegerVector</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/RationalMatrix.html" title="interface in ch.javasoft.smx.iface">RationalMatrix</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableDoubleMatrix</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface">VectorBase</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface">WritableBigIntegerMatrix</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableBigIntegerRationalMatrix</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html" title="interface in ch.javasoft.smx.iface">WritableIntMatrix</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableIntRationalMatrix</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html" title="interface in ch.javasoft.smx.iface">WritableLongMatrix</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableLongRationalMatrix</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultBigIntegerVector.html#line.45"><B>DefaultBigIntegerVector</B></A><DT>extends <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerRationalMatrix</A><DT>implements <A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></DL>
</PRE>

<P>
The <code>DefaultBigIntegerVector</code> ... TODO javadoc-DefaultBigIntegerVector-type
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerVector.html#DefaultBigIntegerVector(ch.javasoft.math.BigFraction[], boolean)">DefaultBigIntegerVector</A></B>(<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>[]&nbsp;values,
                                               boolean&nbsp;isColumnVector)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor, does not clone values!</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerVector.html#DefaultBigIntegerVector(int, boolean)">DefaultBigIntegerVector</A></B>(int&nbsp;size,
                                               boolean&nbsp;isColumnVector)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerVector.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerVector</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerVector.html#clone()">clone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerVector.html#getNumberValueAt(int)">getNumberValueAt</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerVector.html#getSize()">getSize</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerVector.html#isColumnVector()">isColumnVector</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerVector.html#isRowVector()">isRowVector</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerVector.html#setValueAt(int, ch.javasoft.math.BigFraction)">setValueAt</A></B>(int&nbsp;index,
                     <A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerVector.html#swapValues(int, int)">swapValues</A></B>(int&nbsp;indexA,
                     int&nbsp;indexB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerVector.html#toReadableVector(boolean)">toReadableVector</A></B>(boolean&nbsp;enforceNewInstance)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerVector.html#toWritableVector(boolean)">toWritableVector</A></B>(boolean&nbsp;enforceNewInstance)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerVector.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerVector</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerVector.html#transpose()">transpose</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.impl.DefaultBigIntegerRationalMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.smx.impl.<A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerRationalMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#add(int, int, java.math.BigInteger)">add</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#add(int, int, java.math.BigInteger, java.math.BigInteger)">add</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#add(int, int, int)">add</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#add(int, int, int, int)">add</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#add(int, int, long)">add</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#add(int, int, long, long)">add</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#addRowToOtherRow(int, java.math.BigInteger, java.math.BigInteger, int, java.math.BigInteger, java.math.BigInteger)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#addRowToOtherRow(int, java.math.BigInteger, int, java.math.BigInteger)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#addRowToOtherRow(int, int, int, int)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#addRowToOtherRow(int, int, int, int, int, int)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#addRowToOtherRow(int, long, int, long)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#addRowToOtherRow(int, long, long, int, long, long)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#getBigFractionValueAt(int, int)">getBigFractionValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#getBigIntegerDenominatorAt(int, int)">getBigIntegerDenominatorAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#getBigIntegerNumeratorAt(int, int)">getBigIntegerNumeratorAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#getColumnCount()">getColumnCount</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#getDoubleColumn(int)">getDoubleColumn</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#getDoubleColumns()">getDoubleColumns</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#getDoubleRow(int)">getDoubleRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#getDoubleRows()">getDoubleRows</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#getDoubleValueAt(int, int)">getDoubleValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#getMatrixOperations()">getMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#getNumberOperations()">getNumberOperations</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#getNumberRows()">getNumberRows</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#getNumberRows(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">getNumberRows</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#getNumberValueAt(int, int)">getNumberValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#getRowCount()">getRowCount</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#getSignumAt(int, int)">getSignumAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#multiply(int, int, java.math.BigInteger)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#multiply(int, int, java.math.BigInteger, java.math.BigInteger)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#multiply(int, int, int)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#multiply(int, int, int, int)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#multiply(int, int, long)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#multiply(int, int, long, long)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#multiplyRow(int, java.math.BigInteger)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#multiplyRow(int, java.math.BigInteger, java.math.BigInteger)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#multiplyRow(int, int)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#multiplyRow(int, int, int)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#multiplyRow(int, long)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#multiplyRow(int, long, long)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#negate(int, int)">negate</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#newInstance(ch.javasoft.math.BigFraction[][], boolean)">newInstance</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#newInstance(int, int)">newInstance</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#reduce()">reduce</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#reduceRow(int)">reduceRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#reduceValueAt(int, int)">reduceValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#setValueAt(int, int, ch.javasoft.math.BigFraction)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#setValueAt(int, int, java.math.BigInteger)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#setValueAt(int, int, java.math.BigInteger, java.math.BigInteger)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#setValueAt(int, int, int)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#setValueAt(int, int, int, int)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#setValueAt(int, int, long)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#setValueAt(int, int, long, long)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#subBigIntegerRationalMatrix(int, int, int, int)">subBigIntegerRationalMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#subDoubleMatrix(int, int, int, int)">subDoubleMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#swapColumns(int, int)">swapColumns</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#swapRows(int, int)">swapRows</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#toArray(double[])">toArray</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#toBigIntegerRationalMatrix(boolean)">toBigIntegerRationalMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#toDoubleArray()">toDoubleArray</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#toDoubleMatrix(boolean)">toDoubleMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#toMultilineString()">toMultilineString</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#toMultilineString(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">toMultilineString</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#toReadableMatrix(boolean)">toReadableMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#toString()">toString</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#toString(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">toString</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#toString(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)">toString</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#toWritableMatrix(boolean)">toWritableMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#writeTo(java.io.OutputStream)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#writeTo(java.io.OutputStream, ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#writeTo(java.io.PrintWriter, ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#writeTo(java.io.Writer)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#writeTo(java.io.Writer, ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#writeToMultiline(java.io.OutputStream)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#writeToMultiline(java.io.OutputStream, ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#writeToMultiline(java.io.Writer)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#writeToMultiline(java.io.Writer, ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.VectorBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface">VectorBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#toString()">toString</A>, <A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#writeTo(java.io.OutputStream)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#writeTo(java.io.Writer)">writeTo</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.MatrixBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getColumnCount()">getColumnCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getMatrixOperations()">getMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getNumberOperations()">getNumberOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getRowCount()">getRowCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#toMultilineString()">toMultilineString</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.OutputStream)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.MatrixBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getColumnCount()">getColumnCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getMatrixOperations()">getMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getNumberOperations()">getNumberOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getRowCount()">getRowCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#toMultilineString()">toMultilineString</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.OutputStream)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.VectorBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface">VectorBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#toString()">toString</A>, <A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#writeTo(java.io.OutputStream)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#writeTo(java.io.Writer)">writeTo</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.MatrixBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getColumnCount()">getColumnCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getMatrixOperations()">getMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getNumberOperations()">getNumberOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getRowCount()">getRowCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#toMultilineString()">toMultilineString</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.OutputStream)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#negate(int, int)">negate</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#setValueAt(int, int, N)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#swapColumns(int, int)">swapColumns</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#swapRows(int, int)">swapRows</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#toReadableMatrix(boolean)">toReadableMatrix</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.MatrixBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getColumnCount()">getColumnCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getMatrixOperations()">getMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getNumberOperations()">getNumberOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getRowCount()">getRowCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#toMultilineString()">toMultilineString</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.OutputStream)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.BigIntegerRationalMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html#newInstance(ch.javasoft.math.BigFraction[][], boolean)">newInstance</A>, <A HREF="../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html#newInstance(int, int)">newInstance</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.RationalMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/RationalMatrix.html" title="interface in ch.javasoft.smx.iface">RationalMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/RationalMatrix.html#reduce()">reduce</A>, <A HREF="../../../../ch/javasoft/smx/iface/RationalMatrix.html#reduceRow(int)">reduceRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/RationalMatrix.html#reduceValueAt(int, int)">reduceValueAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html#getBigFractionValueAt(int, int)">getBigFractionValueAt</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html#getBigIntegerDenominatorAt(int, int)">getBigIntegerDenominatorAt</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html#getBigIntegerNumeratorAt(int, int)">getBigIntegerNumeratorAt</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html#subBigIntegerRationalMatrix(int, int, int, int)">subBigIntegerRationalMatrix</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html#toBigIntegerRationalMatrix(boolean)">toBigIntegerRationalMatrix</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.ReadableDoubleMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableDoubleMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#getDoubleColumn(int)">getDoubleColumn</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#getDoubleColumns()">getDoubleColumns</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#getDoubleRow(int)">getDoubleRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#getDoubleRows()">getDoubleRows</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#getDoubleValueAt(int, int)">getDoubleValueAt</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#subDoubleMatrix(int, int, int, int)">subDoubleMatrix</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#toArray(double[])">toArray</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#toDoubleArray()">toDoubleArray</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#toDoubleMatrix(boolean)">toDoubleMatrix</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.MatrixBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getColumnCount()">getColumnCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getMatrixOperations()">getMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getNumberOperations()">getNumberOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getRowCount()">getRowCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#toMultilineString()">toMultilineString</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.OutputStream)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableBigIntegerRationalMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableBigIntegerRationalMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html#add(int, int, java.math.BigInteger, java.math.BigInteger)">add</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html#addRowToOtherRow(int, java.math.BigInteger, java.math.BigInteger, int, java.math.BigInteger, java.math.BigInteger)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html#multiply(int, int, java.math.BigInteger, java.math.BigInteger)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html#multiplyRow(int, java.math.BigInteger, java.math.BigInteger)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html#setValueAt(int, int, ch.javasoft.math.BigFraction)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html#setValueAt(int, int, java.math.BigInteger, java.math.BigInteger)">setValueAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableLongRationalMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableLongRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableLongRationalMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableLongRationalMatrix.html#add(int, int, long, long)">add</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongRationalMatrix.html#addRowToOtherRow(int, long, long, int, long, long)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongRationalMatrix.html#multiply(int, int, long, long)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongRationalMatrix.html#multiplyRow(int, long, long)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongRationalMatrix.html#setValueAt(int, int, long, long)">setValueAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableLongMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html" title="interface in ch.javasoft.smx.iface">WritableLongMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html#add(int, int, long)">add</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html#addRowToOtherRow(int, long, int, long)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html#multiply(int, int, long)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html#multiplyRow(int, long)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html#setValueAt(int, int, long)">setValueAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableIntMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html" title="interface in ch.javasoft.smx.iface">WritableIntMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#add(int, int, int)">add</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#addRowToOtherRow(int, int, int, int)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#multiply(int, int, int)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#multiplyRow(int, int)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#setValueAt(int, int, int)">setValueAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#negate(int, int)">negate</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#setValueAt(int, int, N)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#swapColumns(int, int)">swapColumns</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#swapRows(int, int)">swapRows</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#toReadableMatrix(boolean)">toReadableMatrix</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.MatrixBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getColumnCount()">getColumnCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getMatrixOperations()">getMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getNumberOperations()">getNumberOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getRowCount()">getRowCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#toMultilineString()">toMultilineString</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.OutputStream)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableIntRationalMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableIntRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableIntRationalMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableIntRationalMatrix.html#add(int, int, int, int)">add</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntRationalMatrix.html#addRowToOtherRow(int, int, int, int, int, int)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntRationalMatrix.html#multiply(int, int, int, int)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntRationalMatrix.html#multiplyRow(int, int, int)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntRationalMatrix.html#setValueAt(int, int, int, int)">setValueAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableIntMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html" title="interface in ch.javasoft.smx.iface">WritableIntMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#add(int, int, int)">add</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#addRowToOtherRow(int, int, int, int)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#multiply(int, int, int)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#multiplyRow(int, int)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#setValueAt(int, int, int)">setValueAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#negate(int, int)">negate</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#setValueAt(int, int, N)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#swapColumns(int, int)">swapColumns</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#swapRows(int, int)">swapRows</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#toReadableMatrix(boolean)">toReadableMatrix</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.MatrixBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getColumnCount()">getColumnCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getMatrixOperations()">getMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getNumberOperations()">getNumberOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getRowCount()">getRowCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#toMultilineString()">toMultilineString</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.OutputStream)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableBigIntegerMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface">WritableBigIntegerMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerMatrix.html#add(int, int, java.math.BigInteger)">add</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerMatrix.html#addRowToOtherRow(int, java.math.BigInteger, int, java.math.BigInteger)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerMatrix.html#multiply(int, int, java.math.BigInteger)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerMatrix.html#multiplyRow(int, java.math.BigInteger)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerMatrix.html#setValueAt(int, int, java.math.BigInteger)">setValueAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableLongMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html" title="interface in ch.javasoft.smx.iface">WritableLongMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html#add(int, int, long)">add</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html#addRowToOtherRow(int, long, int, long)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html#multiply(int, int, long)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html#multiplyRow(int, long)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html#setValueAt(int, int, long)">setValueAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableIntMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html" title="interface in ch.javasoft.smx.iface">WritableIntMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#add(int, int, int)">add</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#addRowToOtherRow(int, int, int, int)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#multiply(int, int, int)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#multiplyRow(int, int)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#setValueAt(int, int, int)">setValueAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#negate(int, int)">negate</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#setValueAt(int, int, N)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#swapColumns(int, int)">swapColumns</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#swapRows(int, int)">swapRows</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#toReadableMatrix(boolean)">toReadableMatrix</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.MatrixBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getColumnCount()">getColumnCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getMatrixOperations()">getMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getNumberOperations()">getNumberOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getRowCount()">getRowCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#toMultilineString()">toMultilineString</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.OutputStream)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="DefaultBigIntegerVector(int, boolean)"><!-- --></A><H3>
DefaultBigIntegerVector</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultBigIntegerVector.html#line.50"><B>DefaultBigIntegerVector</B></A>(int&nbsp;size,
                               boolean&nbsp;isColumnVector)</PRE>
<DL>
</DL>
<HR>

<A NAME="DefaultBigIntegerVector(ch.javasoft.math.BigFraction[], boolean)"><!-- --></A><H3>
DefaultBigIntegerVector</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultBigIntegerVector.html#line.57"><B>DefaultBigIntegerVector</B></A>(<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>[]&nbsp;values,
                               boolean&nbsp;isColumnVector)</PRE>
<DL>
<DD>Constructor, does not clone values!
<P>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="clone()"><!-- --></A><H3>
clone</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerVector.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerVector</A> <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultBigIntegerVector.html#line.63"><B>clone</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface">VectorBase</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#clone()">clone</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerRationalMatrix</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="transpose()"><!-- --></A><H3>
transpose</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerVector.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerVector</A> <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultBigIntegerVector.html#line.73"><B>transpose</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html#transpose()">transpose</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#transpose()">transpose</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#transpose()">transpose</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html#transpose()">transpose</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#transpose()">transpose</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html#transpose()">transpose</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#transpose()">transpose</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerRationalMatrix</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getNumberValueAt(int)"><!-- --></A><H3>
getNumberValueAt</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultBigIntegerVector.html#line.82"><B>getNumberValueAt</B></A>(int&nbsp;index)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html#getNumberValueAt(int)">getNumberValueAt</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toReadableVector(boolean)"><!-- --></A><H3>
toReadableVector</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultBigIntegerVector.html#line.86"><B>toReadableVector</B></A>(boolean&nbsp;enforceNewInstance)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html#toReadableVector(boolean)">toReadableVector</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toWritableVector(boolean)"><!-- --></A><H3>
toWritableVector</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultBigIntegerVector.html#line.89"><B>toWritableVector</B></A>(boolean&nbsp;enforceNewInstance)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html#toWritableVector(boolean)">toWritableVector</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getSize()"><!-- --></A><H3>
getSize</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultBigIntegerVector.html#line.93"><B>getSize</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#getSize()">getSize</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface">VectorBase</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isColumnVector()"><!-- --></A><H3>
isColumnVector</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultBigIntegerVector.html#line.96"><B>isColumnVector</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#isColumnVector()">isColumnVector</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface">VectorBase</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isRowVector()"><!-- --></A><H3>
isRowVector</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultBigIntegerVector.html#line.99"><B>isRowVector</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#isRowVector()">isRowVector</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface">VectorBase</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setValueAt(int, ch.javasoft.math.BigFraction)"><!-- --></A><H3>
setValueAt</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultBigIntegerVector.html#line.102"><B>setValueAt</B></A>(int&nbsp;index,
                       <A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;value)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html#setValueAt(int, N)">setValueAt</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="swapValues(int, int)"><!-- --></A><H3>
swapValues</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultBigIntegerVector.html#line.110"><B>swapValues</B></A>(int&nbsp;indexA,
                       int&nbsp;indexB)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html#swapValues(int, int)">swapValues</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultBigIntegerVector.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html" title="class in ch.javasoft.smx.impl"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleMatrix.html" title="class in ch.javasoft.smx.impl"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/smx/impl/DefaultBigIntegerVector.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultBigIntegerVector.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
